Subject: [bug#60747] [PATCH] dirstamp: switch to a pattern rule

From: Karl Berry <[email-masked]>
Date: Thu, 12 Jan 2023 15:50:14 -0700

There shouldn't be any concerns about portability with $(@D) because:
    (1) We only generate this rule iff we know the dirstamp is in a subdir
        (so we'd never have a case where $(@D) would expand to the cwd)
    (2) We already rely on $(@D) in our depdir code, and have since 2014
        (the Automake 1.16 release).

I can't say I've ever come across, let alone touched, the "dirstamp code",
but your arguments are convincing to me. I assume all tests pass
after the change. Please go ahead and commit. --thanks, karl.